package com.rv.rvmine.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;
import java.util.List;

/**
 * Desc:出游人列表
 */

public class TravelerListBean extends BaseBean implements Serializable{

    private List<DataBean> data;
    private int code;

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public static class DataBean implements Serializable {

        private Integer id;//": 5,
        private String userid;//": 14,
        private String name;//": "大飞飞",
        private Integer sex;//": 0,
        private String phone;//": "15668866666",
        private String idCard;//": "558564646164949494",
        private String crtTime;//": 1558754042768,
        private String updTime;//": 1558766256489,
        private String isdel;//": 0,
        private Integer isChild;//": 1
        private boolean status = false; // 默认不选中
        public Integer getId() {
            return id;
        }

        public void setId(Integer id) {
            this.id = id;
        }

        public String getUserid() {
            return userid;
        }

        public void setUserid(String userid) {
            this.userid = userid;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public Integer getSex() {
            return sex;
        }

        public void setSex(Integer sex) {
            this.sex = sex;
        }

        public String getPhone() {
            return phone;
        }

        public void setPhone(String phone) {
            this.phone = phone;
        }

        public String getIdCard() {
            return idCard;
        }

        public void setIdCard(String idCard) {
            this.idCard = idCard;
        }

        public String getCrtTime() {
            return crtTime;
        }

        public void setCrtTime(String crtTime) {
            this.crtTime = crtTime;
        }

        public String getUpdTime() {
            return updTime;
        }

        public void setUpdTime(String updTime) {
            this.updTime = updTime;
        }

        public String getIsdel() {
            return isdel;
        }

        public void setIsdel(String isdel) {
            this.isdel = isdel;
        }

        public Integer getIsChild() {
            return isChild;
        }

        public void setIsChild(Integer isChild) {
            this.isChild = isChild;
        }

        public boolean getStatus() {
            return status;
        }

        public void setStatus(boolean status) {
            this.status = status;
        }
    }
}
